Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.quartz
Class ReportJobsQuartzScheduler.ReportSchedulerQuartzListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportJobsQuartzScheduler.ReportSchedulerQuartzListener

All Implemented Interfaces:
  org.quartz.SchedulerListener

Enclosing class:
  ReportJobsQuartzScheduler

    protected class ReportJobsQuartzScheduler.ReportSchedulerQuartzListener

extends java.lang.Object
implements org.quartz.SchedulerListener

Constructor Summary
`ReportJobsQuartzScheduler.ReportSchedulerQuartzListener()`

Method Summary
`void` | `jobScheduled(org.quartz.Trigger trigger)`
`void` | `jobsPaused(java.lang.String name, java.lang.String group)`
`void` | `jobsResumed(java.lang.String name, java.lang.String group)`
`void` | `jobUnscheduled(java.lang.String name, java.lang.String group)`
`void` | `schedulerError(java.lang.String msg, org.quartz.SchedulerException cause)`
`void` | `schedulerShutdown()`
`void` | `triggerFinalized(org.quartz.Trigger trigger)`
`void` | `triggersPaused(java.lang.String name, java.lang.String group)`
`void` | `triggersResumed(java.lang.String name, java.lang.String group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobsQuartzScheduler.ReportSchedulerQuartzListener

    public ReportJobsQuartzScheduler.ReportSchedulerQuartzListener()

Method Detail

### jobScheduled

    public void jobScheduled(org.quartz.Trigger trigger)

  Specified by:
    `jobScheduled` in interface `org.quartz.SchedulerListener`

### jobUnscheduled

    public void jobUnscheduled(java.lang.String name,
                               java.lang.String group)

  Specified by:
    `jobUnscheduled` in interface `org.quartz.SchedulerListener`

### triggerFinalized

    public void triggerFinalized(org.quartz.Trigger trigger)

  Specified by:
    `triggerFinalized` in interface `org.quartz.SchedulerListener`

### triggersPaused

    public void triggersPaused(java.lang.String name,
                               java.lang.String group)

  Specified by:
    `triggersPaused` in interface `org.quartz.SchedulerListener`

### triggersResumed

    public void triggersResumed(java.lang.String name,
                                java.lang.String group)

  Specified by:
    `triggersResumed` in interface `org.quartz.SchedulerListener`

### jobsPaused

    public void jobsPaused(java.lang.String name,
                           java.lang.String group)

  Specified by:
    `jobsPaused` in interface `org.quartz.SchedulerListener`

### jobsResumed

    public void jobsResumed(java.lang.String name,
                            java.lang.String group)

  Specified by:
    `jobsResumed` in interface `org.quartz.SchedulerListener`

### schedulerError

    public void schedulerError(java.lang.String msg,
                               org.quartz.SchedulerException cause)

  Specified by:
    `schedulerError` in interface `org.quartz.SchedulerListener`

### schedulerShutdown

    public void schedulerShutdown()

  Specified by:
    `schedulerShutdown` in interface `org.quartz.SchedulerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.